package sim.engine;

import java.util.concurrent.atomic.AtomicInteger;

import sim.Wrapper;

public interface EngineModule
{	
	public abstract void evaluateOutput(double currentTime, Data[] currentInputs, EnginePeer peer) throws EngineException;
	public abstract void createEnginePeer(EnginePeerList epl);
	public abstract void reset();
	public abstract Wrapper getParentWrapper();
	public abstract void writeVHDLEntity(String path); //TODO implement in all classes
	public abstract String getVHDLName(); //TODO implement in all classes
}